<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package decades
 */
?>
    <?php if(decades_get_option('w_footer')) { ?>
    <div class="top-footer">
                    
        <!--=== start section-title ===-->
        <div class="section-title">
            <?php 
                $title   = decades_get_option('f_title') ? decades_get_option('f_title') : esc_html__('Follow Us', 'decades');
                $stitle  = decades_get_option('t_stitle') ? decades_get_option('t_stitle') : esc_html__('get connect with us', 'decades');
            ?>
            <h2><?php echo esc_html( $title ); ?></h2>
            <h6 class="font-alt"><?php echo esc_html( $stitle ); ?></h6>
        </div>
        <!--=== end section-title ===-->
        
        <div class="container">
            <div class="row">
                <?php $fsocials = decades_get_option( 'f_socials', array() ); ?>
                <?php if($fsocials) { ?>
                    <div class="social-icons">
                        <?php foreach ( $fsocials as $fsocial ) { ?>
                            <a href="<?php echo esc_url($fsocial['link']); ?>"><i class="fa <?php echo esc_attr($fsocial['icon']); ?>" aria-hidden="true"></i></a>                                                    
                        <?php } ?>
                    </div>
                <?php } ?>                
            </div>            
        </div>
        
    </div>

    <?php }if(decades_get_option('copy_right')) { ?>
    <!-- footer begin -->
    <footer>
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                
                    <!--=== start copyright ===-->
                    <div class="copyright">
                        <?php echo wp_kses( decades_get_option('copy_right'), wp_kses_allowed_html('post') ); ?>   
                    </div>
                    <!--=== end copyright ===-->
                    
                </div>
                <!--=== end col ===-->
                
            </div>
            <!--=== end row ===-->
            
        </div>
        <!--=== end container ===-->
        
    </footer>
    <!-- footer close -->
    <?php } ?>

    <a href="#" id="back-to-top"></a>

</div>

<?php wp_footer(); ?>



<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
